[arch-commits] Commit in fatrat/repos (6 files)

Lukas Jirkovsky stativ at nymeria.archlinux.org
Thu Mar 28 15:45:01 UTC 2013


    Date: Thursday, March 28, 2013 @ 16:45:00
  Author: stativ
Revision: 87204

archrelease: copy trunk to community-staging-i686, community-staging-x86_64

Added:
  fatrat/repos/community-staging-i686/
  fatrat/repos/community-staging-i686/PKGBUILD
    (from rev 87203, fatrat/trunk/PKGBUILD)
  fatrat/repos/community-staging-i686/QTBUG-22829-workaround.diff
    (from rev 87203, fatrat/trunk/QTBUG-22829-workaround.diff)
  fatrat/repos/community-staging-x86_64/
  fatrat/repos/community-staging-x86_64/PKGBUILD
    (from rev 87203, fatrat/trunk/PKGBUILD)
  fatrat/repos/community-staging-x86_64/QTBUG-22829-workaround.diff
    (from rev 87203, fatrat/trunk/QTBUG-22829-workaround.diff)

------------------------------------------------------+
 community-staging-i686/PKGBUILD                      |   39 +++++++++++++++++
 community-staging-i686/QTBUG-22829-workaround.diff   |   12 +++++
 community-staging-x86_64/PKGBUILD                    |   39 +++++++++++++++++
 community-staging-x86_64/QTBUG-22829-workaround.diff |   12 +++++
 4 files changed, 102 insertions(+)

Copied: fatrat/repos/community-staging-i686/PKGBUILD (from rev 87203, fatrat/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD	                        (rev 0)
+++ community-staging-i686/PKGBUILD	2013-03-28 15:45:00 UTC (rev 87204)
@@ -0,0 +1,39 @@
+# $Id$
+# Maintainer: Lukas Jirkovsky <l.jirkovsky at gmail.com>
+pkgname=fatrat
+pkgver=1.2.0_beta2
+pkgrel=6
+pkgdesc="QT4 based download manager with support for HTTP, FTP, SFTP, BitTorrent, rapidshare and more"
+arch=('i686' 'x86_64')
+url="http://fatrat.dolezel.info/"
+license=('GPL')
+depends=('gloox' 'libtorrent-rasterbar' 'pion' 'qtwebkit' 'curl')
+optdepends=('geoip: GeoIP support' 'java-runtime: Java plugins')
+makedepends=('boost' 'cmake' 'java-environment')
+source=(http://www.dolezel.info/download/data/fatrat/fatrat-$pkgver.tar.xz \
+        QTBUG-22829-workaround.diff)
+md5sums=('ad823d2a81f0583316ece815b928c71b'
+         '9c017f227437b8a72e92219ee6d58578')
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+
+  # workaround the moc bug (QTBUG-22829) with new boost
+  patch -Np1 < "$srcdir/QTBUG-22829-workaround.diff" || true
+  # fix help generation with qt4
+  sed -s 's|qcollectiongenerator|qcollectiongenerator-qt4|' -i CMakeLists.txt
+
+  cmake \
+    -DWITH_EVERYTHING=ON \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    .
+
+  make
+}
+
+package() {
+  cd "$srcdir/$pkgname-$pkgver"
+  make DESTDIR="$pkgdir" install
+}
+
+# vim:set ts=2 sw=2 et:

Copied: fatrat/repos/community-staging-i686/QTBUG-22829-workaround.diff (from rev 87203, fatrat/trunk/QTBUG-22829-workaround.diff)
===================================================================
--- community-staging-i686/QTBUG-22829-workaround.diff	                        (rev 0)
+++ community-staging-i686/QTBUG-22829-workaround.diff	2013-03-28 15:45:00 UTC (rev 87204)
@@ -0,0 +1,12 @@
+diff -rup fatrat-1.2.0_beta2/CMakeLists.txt fatrat-1.2.0_beta2.new/CMakeLists.txt
+--- fatrat-1.2.0_beta2/CMakeLists.txt	2012-07-14 11:44:27.000000000 +0000
++++ fatrat-1.2.0_beta2.new/CMakeLists.txt	2013-03-25 16:21:03.143596960 +0000
+@@ -552,7 +552,7 @@ if(WITH_DOCUMENTATION)
+ 	)
+ endif(WITH_DOCUMENTATION)
+ 
+-qt4_wrap_cpp(fatrat_MOC_SRCS ${fatrat_MOC_HDRS})
++qt4_wrap_cpp(fatrat_MOC_SRCS ${fatrat_MOC_HDRS} OPTIONS -DBOOST_TT_HAS_OPERATOR_HPP_INCLUDED -DBOOST_NO_TEMPLATE_PARTIAL_SPECIALIZATION)
+ 
+ set(fatrat_RCS
+ 	gfx/resources.qrc

Copied: fatrat/repos/community-staging-x86_64/PKGBUILD (from rev 87203, fatrat/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2013-03-28 15:45:00 UTC (rev 87204)
@@ -0,0 +1,39 @@
+# $Id$
+# Maintainer: Lukas Jirkovsky <l.jirkovsky at gmail.com>
+pkgname=fatrat
+pkgver=1.2.0_beta2
+pkgrel=6
+pkgdesc="QT4 based download manager with support for HTTP, FTP, SFTP, BitTorrent, rapidshare and more"
+arch=('i686' 'x86_64')
+url="http://fatrat.dolezel.info/"
+license=('GPL')
+depends=('gloox' 'libtorrent-rasterbar' 'pion' 'qtwebkit' 'curl')
+optdepends=('geoip: GeoIP support' 'java-runtime: Java plugins')
+makedepends=('boost' 'cmake' 'java-environment')
+source=(http://www.dolezel.info/download/data/fatrat/fatrat-$pkgver.tar.xz \
+        QTBUG-22829-workaround.diff)
+md5sums=('ad823d2a81f0583316ece815b928c71b'
+         '9c017f227437b8a72e92219ee6d58578')
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+
+  # workaround the moc bug (QTBUG-22829) with new boost
+  patch -Np1 < "$srcdir/QTBUG-22829-workaround.diff" || true
+  # fix help generation with qt4
+  sed -s 's|qcollectiongenerator|qcollectiongenerator-qt4|' -i CMakeLists.txt
+
+  cmake \
+    -DWITH_EVERYTHING=ON \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    .
+
+  make
+}
+
+package() {
+  cd "$srcdir/$pkgname-$pkgver"
+  make DESTDIR="$pkgdir" install
+}
+
+# vim:set ts=2 sw=2 et:

Copied: fatrat/repos/community-staging-x86_64/QTBUG-22829-workaround.diff (from rev 87203, fatrat/trunk/QTBUG-22829-workaround.diff)
===================================================================
--- community-staging-x86_64/QTBUG-22829-workaround.diff	                        (rev 0)
+++ community-staging-x86_64/QTBUG-22829-workaround.diff	2013-03-28 15:45:00 UTC (rev 87204)
@@ -0,0 +1,12 @@
+diff -rup fatrat-1.2.0_beta2/CMakeLists.txt fatrat-1.2.0_beta2.new/CMakeLists.txt
+--- fatrat-1.2.0_beta2/CMakeLists.txt	2012-07-14 11:44:27.000000000 +0000
++++ fatrat-1.2.0_beta2.new/CMakeLists.txt	2013-03-25 16:21:03.143596960 +0000
+@@ -552,7 +552,7 @@ if(WITH_DOCUMENTATION)
+ 	)
+ endif(WITH_DOCUMENTATION)
+ 
+-qt4_wrap_cpp(fatrat_MOC_SRCS ${fatrat_MOC_HDRS})
++qt4_wrap_cpp(fatrat_MOC_SRCS ${fatrat_MOC_HDRS} OPTIONS -DBOOST_TT_HAS_OPERATOR_HPP_INCLUDED -DBOOST_NO_TEMPLATE_PARTIAL_SPECIALIZATION)
+ 
+ set(fatrat_RCS
+ 	gfx/resources.qrc




More information about the arch-commits mailing list